apiVersion: oadp.openshift.io/v1alpha1
kind: DataProtectionApplication
metadata:
  annotations:
    oadp.openshift.io/unsupported-node-agent-server-args: node-agent-settings
    oadp.openshift.io/unsupported-velero-server-args: velero-settings
  resourceVersion: '717132802'
  name: velero
  uid: ec5829c0-4aa4-405d-af93-51432db417a4
  creationTimestamp: '2025-02-25T00:34:44Z'
  generation: 207
  namespace: ibm-bnr
  ownerReferences:
    - apiVersion: dataprotectionagent.idp.ibm.com/v1
      kind: DataProtectionAgent
      name: dpagent
      uid: 26f93218-fe72-449d-bb14-c9e9f75b22c1
  labels:
    app.kubernetes.io/component: velero
    app.kubernetes.io/name: guardian
spec:
  backupImages: false
  backupLocations:
    - name: guardian-minio
      velero:
        accessMode: ReadWrite
        backupSyncPeriod: 30s
        config:
          publicUrl: 'https://172.30.141.170:9000'
          region: minio
          s3ForcePathStyle: 'true'
          s3Url: 'https://guardian-minio-svc.ibm-bnr.svc:9000'
        credential:
          key: cloud
          name: cloud-credentials
        default: true
        objectStorage:
          bucket: velero
          caCert: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURVVENDQWptZ0F3SUJBZ0lJSVBQWlo3NG9ZTzh3RFFZSktvWklodmNOQVFFTEJRQXdOakUwTURJR0ExVUUKQXd3cmIzQmxibk5vYVdaMExYTmxjblpwWTJVdGMyVnlkbWx1WnkxemFXZHVaWEpBTVRjeE9ESTVOREUyTWpBZQpGdzB5TkRBMk1UTXhOVFUyTURKYUZ3MHlOakE0TVRJeE5UVTJNRE5hTURZeE5EQXlCZ05WQkFNTUsyOXdaVzV6CmFHbG1kQzF6WlhKMmFXTmxMWE5sY25acGJtY3RjMmxuYm1WeVFERTNNVGd5T1RReE5qSXdnZ0VpTUEwR0NTcUcKU0liM0RRRUJBUVVBQTRJQkR3QXdnZ0VLQW9JQkFRQzBLclk2eitITFJrQnJIckJPNzI2d3RualFIN3ppbGdYegpBYW5uaTE3TjEvcm9Nb1dPTjNjMHQvcXFtM2RSZk9mdm5ZczI1bFg5Q29CRWhBeThhWkdmNVBwNDdEK2FWbFZzCmlQa1VkblU3MWpBUzFZREpsV0RQNTcrb1NJR1pOZ0RZOEFPbFJXcFVldzBUZ0lNenhSVlpIcUxJV3BNMnVqKzYKdm5aUFFaUXFCbXRFTXBmalNTaVpSelJReTRDRDlSS3JjOG9HYnJIOHZVaEljbHI5eVFSNGY4ZVRVZ1dEZjFkdApRUzJmbkJNV0pFMzRDSVgrNFFqM2MzOUJ4a3VLdUk4UVNvd29aUmF4ZDBHMkpLbzI4M2VqUnFiMndWcjdnOFNDCjA2TlE0c2pQZ3g5K1pFaXE0dzMzMGwyeW5oaUJrQmRlQitiU3dVeVNvb2Q4RzVwbyt3Z1ZBZ01CQUFHall6QmgKTUE0R0ExVWREd0VCL3dRRUF3SUNwREFQQmdOVkhSTUJBZjhFQlRBREFRSC9NQjBHQTFVZERnUVdCQlNNODlTcwp1VmI1bFlKVkRoM0pOSDhhVmtmbjFEQWZCZ05WSFNNRUdEQVdnQlNNODlTc3VWYjVsWUpWRGgzSk5IOGFWa2ZuCjFEQU5CZ2txaGtpRzl3MEJBUXNGQUFPQ0FRRUFKOWU0V3ppV2dsOHhaWGhYOU9zRTNHSThxcU83WWxsbXRuZGoKQ2NsOGU5K0NiUy9SNU52cDhuNFhCM1J3bmV4VzFHR3YvRCtneUo1dkpOcDhQbGZFNGZQT3grSEtEQ0Y0N2ZjVApnNnNBeldscXhad3Rrck5MUHRPemMyZEpRY3ZnK25SUUQ2aTdFME56MUVUc0dWL3E3VEoxeklqck5TWSt3YmlpCkswMkJ4VXZmVUNpb2x6c0JxOHllWG9WOGl2TzJ2RGFJY21UMER1T0hGUmtFS0VxSDEwMGlPMUVneHpkeHFweVMKS0s1S1RBN2NCTjdZK2lGZ0x0elEzUVVkbzN1SjRKYzVqaWQrbWtLTDJGVHJlVTNWdUViclpsZlY1SnZ4cGkvUApiZ1FHSDIvUUdDUzVVTWlyZjJNRmNnaFFKa095MnQrSnlWRzlCRHdHZHZCMFlFTXBVdz09Ci0tLS0tRU5EIENFUlRJRklDQVRFLS0tLS0K
        provider: aws
    - name: 59fed1f1-1438-4994-9c6b-2440be863909
      velero:
        accessMode: ReadWrite
        backupSyncPeriod: 30s
        config:
          region: us-west-2
          s3ForcePathStyle: 'true'
          s3Url: 'https://s3.us-west-2.amazonaws.com'
        credential:
          key: cloud
          name: 59fed1f1-1438-4994-9c6b-2440be863909-secret
        default: false
        objectStorage:
          bucket: 2024-test-bucket1
          prefix: 4343d3bb-7d14-4ae6-8e21-d315bafe8797/59fed1f1-1438-4994-9c6b-2440be863909
        provider: aws
    - name: 8ae750e8-0184-42a4-8459-57825a9d0134
      velero:
        accessMode: ReadWrite
        backupSyncPeriod: 30s
        config:
          resourceGroup: 4343d3bb-7d14-4ae6-8e21-d315bafe8797/8ae750e8-0184-42a4-8459-57825a9d0134
          storageAccount: dpcos1
          storageAccountKeyEnvVar: storage_account_access_key
          storageAccountURI: 'https://dpcos1.blob.core.windows.net'
        credential:
          key: cloud
          name: 8ae750e8-0184-42a4-8459-57825a9d0134-secret
        default: false
        objectStorage:
          bucket: dp-bucket-1
          prefix: 4343d3bb-7d14-4ae6-8e21-d315bafe8797/8ae750e8-0184-42a4-8459-57825a9d0134
        provider: azure
    - name: beb3062d-1b4d-4da1-b28e-e02cdcb9a7cc
      velero:
        accessMode: ReadWrite
        backupSyncPeriod: 30s
        config:
          resourceGroup: 4343d3bb-7d14-4ae6-8e21-d315bafe8797/beb3062d-1b4d-4da1-b28e-e02cdcb9a7cc
          storageAccount: dpcos1
          storageAccountKeyEnvVar: storage_account_access_key
          storageAccountURI: 'https://dpcos1.blob.core.windows.net'
        credential:
          key: cloud
          name: beb3062d-1b4d-4da1-b28e-e02cdcb9a7cc-secret
        default: false
        objectStorage:
          bucket: dp-bucket-1
          prefix: 4343d3bb-7d14-4ae6-8e21-d315bafe8797/beb3062d-1b4d-4da1-b28e-e02cdcb9a7cc
        provider: azure
    - name: fccb4920-1554-455f-8335-4efaf9ea9ef3
      velero:
        accessMode: ReadWrite
        backupSyncPeriod: 30s
        config:
          region: us-west-2
          s3ForcePathStyle: 'true'
          s3Url: 'https://s3.us-west-2.amazonaws.com'
        credential:
          key: cloud
          name: fccb4920-1554-455f-8335-4efaf9ea9ef3-secret
        default: false
        objectStorage:
          bucket: test12323
          prefix: 4343d3bb-7d14-4ae6-8e21-d315bafe8797/fccb4920-1554-455f-8335-4efaf9ea9ef3
        provider: aws
    - name: cebe5628-c880-46af-bb0c-068af7cfe526
      velero:
        accessMode: ReadWrite
        backupSyncPeriod: 30s
        config:
          resourceGroup: 4343d3bb-7d14-4ae6-8e21-d315bafe8797/cebe5628-c880-46af-bb0c-068af7cfe526
          storageAccount: dpcos1
          storageAccountKeyEnvVar: storage_account_access_key
          storageAccountURI: 'https://dpcos1.blob.core.windows.net'
        credential:
          key: cloud
          name: cebe5628-c880-46af-bb0c-068af7cfe526-secret
        default: false
        objectStorage:
          bucket: dp-bucket-1
          prefix: 4343d3bb-7d14-4ae6-8e21-d315bafe8797/cebe5628-c880-46af-bb0c-068af7cfe526
        provider: azure
    - name: 36a3171b-57fd-497d-b44e-3f288d3c420e
      velero:
        accessMode: ReadWrite
        backupSyncPeriod: 30s
        config:
          region: minio
          s3ForcePathStyle: 'true'
          s3Url: 'http://minio.minio.svc:9000'
        credential:
          key: cloud
          name: 36a3171b-57fd-497d-b44e-3f288d3c420e-secret
        default: false
        objectStorage:
          bucket: eesteban-minio
          prefix: 4343d3bb-7d14-4ae6-8e21-d315bafe8797/36a3171b-57fd-497d-b44e-3f288d3c420e
        provider: aws
    - name: d64a7891-4cc6-48b5-9859-2aeb1a2bd679
      velero:
        accessMode: ReadWrite
        backupSyncPeriod: 30s
        config:
          region: us-west-2
          s3ForcePathStyle: 'true'
          s3Url: 'https://s3.us-west-2.amazonaws.com'
        credential:
          key: cloud
          name: d64a7891-4cc6-48b5-9859-2aeb1a2bd679-secret
        default: false
        objectStorage:
          bucket: test12323
          prefix: 4343d3bb-7d14-4ae6-8e21-d315bafe8797/d64a7891-4cc6-48b5-9859-2aeb1a2bd679
        provider: aws
  configuration:
    nodeAgent:
      enable: true
      podConfig:
        resourceAllocations:
          limits:
            cpu: '2'
            ephmeral-storage: 250Mi
            memory: 2Gi
          requests:
            cpu: 500m
            ephemeral-storage: 50Mi
            memory: 1Gi
      uploaderType: kopia
    velero:
      args:
        default-repo-maintain-frequency: 14400000000000
        log-format: json
      customPlugins:
        - image: 'cp.icr.io/cp/bnr/guardian-kubevirt-velero-plugin@sha256:d3979e57c32650aed0b680f443a453e4bb4f19040fcdc3b1ef8df4400bdb878f'
          name: isf-kubevirt
      defaultPlugins:
        - openshift
        - aws
        - azure
      logLevel: info
      noDefaultBackupLocation: false
      podConfig:
        labels:
          app.kubernetes.io/part-of: ibm-backup-restore
        resourceAllocations:
          limits:
            cpu: '2'
            ephemeral-storage: 500Mi
            memory: 2Gi
          requests:
            cpu: 200m
            ephemeral-storage: 300Mi
            memory: 256Mi
  podDnsConfig: {}
  unsupportedOverrides:
    veleroImageFqin: 'cp.icr.io/cp/bnr/fbr-velero@sha256:00efc2c3cd82254efe132597734e9d0794d5a26f5dbf58ff0ccc43aacf3932ba'
status:
  conditions:
    - lastTransitionTime: '2025-02-25T00:34:45Z'
      message: Reconcile complete
      reason: Complete
      status: 'True'
      type: Reconciled
